Subject: Re: [patch] clean up tcp_sk(), 2.6.0

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Tue, 30 Dec 2003 14:57:52 -0200

Em Tue, Dec 30, 2003 at 05:32:30PM +0100, Ingo Molnar escreveu:
> 
> i recently wasted a few hours on a bug where i used "tcp_sk(sock)"
> instead of "tcp_sk(sock->sk)" - the former, while being blatantly
> incorrect, compiles just fine on 2.6.0. The patch below is equivalent to
> the define but is also type-safe. Compiles cleanly & boots fine on
> 2.6.0.

Don't have a problem, but then it'd be nice to do this for udp_sk, raw_sk,
etc, etc :)
 
- Arnaldo